package tui

import "fmt"

// String prompts a user for a string and returns the result.
func GetString(prompt string) string {
	t.SetPrompt(prompt)
	s, err := t.ReadLine()
	must(err)
	return s
}

func GetPassword(prompt string) string {
	s, err := t.ReadPassword(prompt)
	must(err)
	return s
}

func GetInt(prompt string) int {
	for {
		s := GetString(prompt)

		value := int(0)

		n, err := fmt.Sscanf(s, "%d", &value)
		if n != 1 || err != nil {
			continue
		}
		return value
	}
}
